import { z } from 'zod';
export type RecordData = z.infer<typeof data>;
export type RecordQuery = z.infer<typeof query>;
export type RecordTemplate = z.infer<typeof template>;
declare const query: z.ZodObject<{
    kind: z.ZodEnum<["data", "param", "script"]>;
    label: z.ZodString;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    kind: "data" | "param" | "script";
    label: string;
}, {
    pubkey: string;
    kind: "data" | "param" | "script";
    label: string;
}>;
declare const template: z.ZodObject<{
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    kind: z.ZodEnum<["data", "param", "script"]>;
    label: z.ZodString;
    content: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    kind: "data" | "param" | "script";
    label: string;
    content: string[];
}, {
    pubkey: string;
    kind: "data" | "param" | "script";
    label: string;
    content: string[];
}>;
declare const data: z.ZodObject<{
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    kind: z.ZodEnum<["data", "param", "script"]>;
    label: z.ZodString;
    content: z.ZodArray<z.ZodString, "many">;
    contract_id: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    contract_id: string;
    updated_at: Date;
    kind: "data" | "param" | "script";
    label: string;
    content: string[];
}, {
    pubkey: string;
    contract_id: string;
    updated_at: Date;
    kind: "data" | "param" | "script";
    label: string;
    content: string[];
}>;
export declare const RecordSchema: {
    query: z.ZodObject<{
        kind: z.ZodEnum<["data", "param", "script"]>;
        label: z.ZodString;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        kind: "data" | "param" | "script";
        label: string;
    }, {
        pubkey: string;
        kind: "data" | "param" | "script";
        label: string;
    }>;
    template: z.ZodObject<{
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        kind: z.ZodEnum<["data", "param", "script"]>;
        label: z.ZodString;
        content: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        kind: "data" | "param" | "script";
        label: string;
        content: string[];
    }, {
        pubkey: string;
        kind: "data" | "param" | "script";
        label: string;
        content: string[];
    }>;
    data: z.ZodObject<{
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        kind: z.ZodEnum<["data", "param", "script"]>;
        label: z.ZodString;
        content: z.ZodArray<z.ZodString, "many">;
        contract_id: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        contract_id: string;
        updated_at: Date;
        kind: "data" | "param" | "script";
        label: string;
        content: string[];
    }, {
        pubkey: string;
        contract_id: string;
        updated_at: Date;
        kind: "data" | "param" | "script";
        label: string;
        content: string[];
    }>;
};
export {};
//# sourceMappingURL=record.d.ts.map